{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}
{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}
{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}
Device Flow
Complete Device Authorization
This API returns information about what action the authorization server should take after it receives the result of end-user’s decision about whether the end-user has approved or rejected a client application’s request.
POST
/
api
/
{serviceId}
/
device
/
complete
Typescript (SDK)
import { Authlete } from "@authlete/typescript-sdk";const authlete = new Authlete({ serviceId: "<id>", bearer: process.env["AUTHLETE_BEARER"] ?? "",});async function run() { const result = await authlete.deviceFlow.complete({ deviceCompleteRequest: { userCode: "XWWKPBWVXQ", result: "AUTHORIZED", subject: "john", }, }); console.log(result);}run();
require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
service_id: '<id>',
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.device_flow.complete_request(device_complete_request: Models::Components::DeviceCompleteRequest.new(
user_code: 'XWWKPBWVXQ',
result: Models::Components::DeviceCompleteRequestResult::AUTHORIZED,
subject: 'john'
))
unless res.device_complete_response.nil?
# handle response
end
{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}
{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}
{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}
Full description
In the device flow, an end-user accesses the verification endpoint of the authorization server where she interacts with the verification endpoint and inputs a user code. The verification endpoint checks if the user code is valid and then asks the end-user whether she approves or rejects the authorization request which the user code represents. After the authorization server receives the decision of the end-user, it should call Authlete’s /device/complete API to tell Authlete the decision. When the end-user was authenticated and authorization was granted to the client by the end-user, the authorization server should call the API with result=AUTHORIZED. In this successful case, the subject request parameter is mandatory. The API will update the database record so that /auth/token API can generate an access token later. If the scope parameter of the device authorization request included the openid scope, an ID token is generated. In this case, sub, authTime, acr and claims request parameters in the API call to /device/complete affect the ID token. When the authorization server receives the decision of the end-user and it indicates that she has rejected to give authorization to the client, the authorization server should call the API with result=ACCESS_DENIED. In this case, the API will update the database record so that the /auth/token API can generate an error response later. If errorDescription and errorUri request parameters are given to the /device/complete API, they will be used as the values of error_description and error_uri response parameters in the error response from the token endpoint. When the authorization server could not get decision from the end-user for some reasons, the authorization server should call the API with result=TRANSACTION_FAILED. In this error case, the API will behave in the same way as in the case of ACCESS_DENIED. The only difference is that expired_token is used as the value of the error response parameter instead of access_denied. After receiving a response from the /device/complete API, the implementation of the authorization server should retrieve the value of action from the response and take the following steps according to the value.
When the value of action is SERVER_ERROR, it means that an error occurred on Authlete side. The authorization server implementation should tell the end-user that something wrong happened and urge her to re-initiate a device flow.
When the value of action is USER_CODE_NOT_EXIST, it means that the user code included in the API call does not exist. The authorization server implementation should tell the end-user that the user code has been invalidated and urge her to re-initiate a device flow.
When the value of action is USER_CODE_EXPIRED, it means that the user code included in the API call has expired. The authorization server implementation should tell the end-user that the user code has expired and urge her to re-initiate a device flow.
When the value of action is SUCCESS, it means that the API call has been processed successfully. The authorization server should return a successful response to the web browser the end-user is using.
Authenticate every request with a Service Access Token or Organization Token. Set the token value in the Authorization: Bearer <token> header.
Service Access Token: Scoped to a single service. Use when automating service-level configuration or runtime flows.
Organization Token: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.
Both token types are issued by the Authlete console or provisioning APIs.
Scopes to replace the scopes specified in the original device authorization request with. When nothing is specified for this parameter, replacement is not performed.
The description of the error. If this optional request parameter is given, its value is used as the value of the error_description property, but it is used only when the result is not AUTHORIZED. To comply with the specification strictly, the description must not include characters outside the set %x20-21 / %x23-5B / %x5D-7E.
The duration (in seconds) of the access token that may be issued as a result of the Authlete API call.
When this request parameter holds a positive integer, it is used as the duration of the access token in. In other cases, this request parameter is ignored.
The duration (in seconds) of the refresh token that may be issued as a result of the Authlete API call.
When this request parameter holds a positive integer, it is used as the duration of the refresh token in. In other cases, this request parameter is ignored.
the claims that the user has consented for the client application to know.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Authlete Documentation","colors":{"primary":"#0057B7","light":"#4D8FEA","dark":"#0057B7"},"logo":{"light":"https://mintcdn.com/authlete/EJDZNZMvOu_9CJHJ/authlete-blue-horizontal-logo.svg?fit=max\u0026auto=format\u0026n=EJDZNZMvOu_9CJHJ\u0026q=85\u0026s=ed123a3de8b7791dffde03e7705c7460","dark":"https://mintcdn.com/authlete/EJDZNZMvOu_9CJHJ/authlete-blue-horizontal-logo.svg?fit=max\u0026auto=format\u0026n=EJDZNZMvOu_9CJHJ\u0026q=85\u0026s=ed123a3de8b7791dffde03e7705c7460"},"favicon":{"light":"https://mintcdn.com/authlete/gV1fxQkuH3uz_H3j/images/favicon-32x32.png?fit=max\u0026auto=format\u0026n=gV1fxQkuH3uz_H3j\u0026q=85\u0026s=9838a40b23e11ab35d7737e4c94a2d9a","dark":"https://mintcdn.com/authlete/gV1fxQkuH3uz_H3j/images/favicon-32x32.png?fit=max\u0026auto=format\u0026n=gV1fxQkuH3uz_H3j\u0026q=85\u0026s=9838a40b23e11ab35d7737e4c94a2d9a"},"api":{"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples","playground":{"display":"interactive","proxy":true},"examples":{"languages":["typescript","ruby","go","shell"],"autogenerate":true},"mdx":{"auth":{"method":"bearer"},"server":"https://us.authlete.com"}},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://console.authlete.com/"}},"footer":{"socials":{"x":"https://x.com/authlete","github":"https://github.com/authlete","linkedin":"https://linkedin.com/company/authlete"}},"contextual":{"options":["copy","view","chatgpt","claude","mcp","cursor"],"display":"header"},"thumbnails":{"fonts":{"family":"Noto Sans JP"}},"markdown":{"instructions":["### Authlete versions","Authlete 3.0 is the current version. Unless the user says they use another version, answer for Authlete 3.0 using the 3.x documentation.","Documentation for Authlete 2.x (pages under `/v2/` and `/ja/v2/`) is for the legacy version. Refer to it only when the user is on Authlete 2.x.","","### Authlete architecture","Authlete is a backend engine for OAuth 2.0 and OpenID Connect processing. End users and client applications do not call it directly; the service provider's authorization server and API server call Authlete's APIs. Authlete handles protocol processing and token, client, and service management, while the service provider owns the OAuth/OIDC endpoints and user authentication.","See [Architecture](https://developers.authlete.com/get-started/introduction-to-authlete/architecture.md).","","### Concepts","If the user is new to Authlete, read these pages first:","- [Request and Response](https://developers.authlete.com/get-started/concepts/request-and-response.md): Core API requests pass the client's request parameters as-is, and responses return `resultCode`, `action`, and `responseContent`.","- [Action Handling](https://developers.authlete.com/get-started/concepts/action-handling.md): Branch on `action`, never on `resultCode`, and map each action to the HTTP response your server returns.","- [Two-Step API Calls](https://developers.authlete.com/get-started/concepts/two-step-api-calls.md): Actions such as `INTERACTION` are completed with a second call (`/auth/authorization/issue` or `/auth/authorization/fail`) linked by a `ticket`.","- [Management API Overview](https://developers.authlete.com/get-started/concepts/overview.md): The Management API configures services, manages clients, and operates issued tokens, separately from the protocol flows handled by the Core API.","- [API Authentication](https://developers.authlete.com/get-started/concepts/authentication.md): Authlete APIs use bearer tokens: a Service Access Token (one service) or an Organization Token (the whole organization)."]},"styling":{"latex":false},"navigation":{"languages":[{"language":"en","default":true,"href":"get-started/introduction-to-authlete"},{"language":"ja","href":"ja/get-started/introduction-to-authlete"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"authlete","hasAudioNarration":false,"actualSubdomain":"authlete","customDomains":["developers.authlete.com"],"gitSource":{"type":"github","owner":"authlete","repo":"developer-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad86bfbbcc1b0bac5b9a633","collectionId":"102eb795-336b-4b91-aae6-f3939575b917","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad86bfbbcc1b0bac5b9a633"},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ad86bfbbcc1b0bac5b9a633","clientVersion":"0.0.3965","searchFilterCounts":[{"language":"en","tag":"Release Notes","count":103},{"language":"ja","tag":"リリースノート","count":103},{"language":"ja","tag":"設定リファレンス","count":92},{"language":"default","tag":"API Reference","count":87},{"language":"default","tag":"Authlete","count":87},{"language":"en","tag":"Configuration Reference","count":83},{"language":"en","tag":"Protocols \u0026 Flows","count":46},{"language":"en","tag":"Deployment \u0026 Operations","count":44},{"language":"ja","tag":"プロトコル \u0026 フロー","count":42},{"language":"ja","tag":"デプロイと運用","count":39},{"language":"ja","tag":"トークン \u0026 クレーム","count":38},{"language":"ja","tag":"はじめに","count":34},{"language":"ja","tag":"エンドポイント","count":33},{"language":"en","tag":"Get Started","count":32},{"language":"en","tag":"Tokens and Claims","count":28},{"language":"default","tag":"Client Management","count":26},{"language":"en","tag":"Endpoints","count":25},{"language":"en","tag":"Server Releases (v2.2)","count":23},{"language":"en","tag":"Server Releases (v2.3)","count":23},{"language":"ja","tag":"サーバーリリース (v2.2)","count":23},{"language":"ja","tag":"サーバーリリース (v2.3)","count":23},{"language":"en","tag":"Server Releases (v3.0)","count":20},{"language":"ja","tag":"サーバーリリース (v3.0)","count":20},{"language":"default","tag":"Verifiable Credential Issuer","count":11},{"language":"default","tag":"Service Management","count":6},{"language":"default","tag":"Authorization Endpoint","count":5},{"language":"default","tag":"Token Operations","count":5},{"language":"default","tag":"CIBA","count":4},{"language":"default","tag":"Dynamic Client Registration","count":4},{"language":"default","tag":"Hardware Security Key","count":4}],"searchSettings":{"maxResults":7}},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":true}},"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#content-area,#navbar,#sidebar,[data-sidebar],body{background-image:none!important}.dynamic-curl-wrapper{width:100%;max-width:100%;min-width:0}.dynamic-curl-output{width:100%!important;max-width:100%!important;min-width:0!important}table[style*=tableLayout] td:last-child{overflow:hidden;min-width:0}table[style*=tableLayout] input{min-width:0}"}],"page":{"pagePath":"api-reference/device-flow/complete-device-authorization","slug":"/api-reference/device-flow/complete-device-authorization","pageMetadata":{"title":"Complete Device Authorization","description":"This API returns information about what action the authorization server should take after it receives the result of end-user's decision about whether the end-user has approved or rejected a client application's request.","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/device/complete","href":"/api-reference/device-flow/complete-device-authorization","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This API returns information about what action the authorization server should take after it receives the result of end-user’s decision about whether the end-user has approved or rejected a client application’s request.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components},{Accordion,Heading}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(Accordion,{title:`Full description`,defaultOpen:false,id:`full-description`,children:[_jsxs(_components.p,{children:[`In the device flow, an end-user accesses the verification endpoint of the authorization server where she interacts with the verification endpoint and inputs a user code. The verification endpoint checks if the user code is valid and then asks the end-user whether she approves or rejects the authorization request which the user code represents. After the authorization server receives the decision of the end-user, it should call Authlete’s `,_jsx(_components.code,{children:`/device/complete`}),` API to tell Authlete the decision. When the end-user was authenticated and authorization was granted to the client by the end-user, the authorization server should call the API with `,_jsx(_components.code,{children:`result=AUTHORIZED`}),`. In this successful case, the subject request parameter is mandatory. The API will update the database record so that `,_jsx(_components.code,{children:`/auth/token`}),` API can generate an access token later. If the `,_jsx(_components.code,{children:`scope`}),` parameter of the device authorization request included the openid scope, an ID token is generated. In this case, `,_jsx(_components.code,{children:`sub`}),`, `,_jsx(_components.code,{children:`authTime`}),`, `,_jsx(_components.code,{children:`acr`}),` and `,_jsx(_components.code,{children:`claims`}),` request parameters in the API call to `,_jsx(_components.code,{children:`/device/complete`}),` affect the ID token. When the authorization server receives the decision of the end-user and it indicates that she has rejected to give authorization to the client, the authorization server should call the API with `,_jsx(_components.code,{children:`result=ACCESS_DENIED`}),`. In this case, the API will update the database record so that the `,_jsx(_components.code,{children:`/auth/token`}),` API can generate an error response later. If `,_jsx(_components.code,{children:`errorDescription`}),` and `,_jsx(_components.code,{children:`errorUri`}),` request parameters are given to the `,_jsx(_components.code,{children:`/device/complete`}),` API, they will be used as the values of `,_jsx(_components.code,{children:`error_description`}),` and `,_jsx(_components.code,{children:`error_uri`}),` response parameters in the error response from the token endpoint. When the authorization server could not get decision from the end-user for some reasons, the authorization server should call the API with `,_jsx(_components.code,{children:`result=TRANSACTION_FAILED`}),`. In this error case, the API will behave in the same way as in the case of `,_jsx(_components.code,{children:`ACCESS_DENIED`}),`. The only difference is that `,_jsx(_components.code,{children:`expired_token`}),` is used as the value of the `,_jsx(_components.code,{children:`error`}),` response parameter instead of `,_jsx(_components.code,{children:`access_denied`}),`. After receiving a response from the `,_jsx(_components.code,{children:`/device/complete`}),` API, the implementation of the authorization server should retrieve the value of `,_jsx(_components.code,{children:`action`}),` from the response and take the following steps according to the value.`]}),_jsx(Heading,{level:`2`,id:`server_error`,children:`SERVER_ERROR`}),_jsxs(_components.p,{children:[`When the value of `,_jsx(_components.code,{children:`action`}),` is `,_jsx(_components.code,{children:`SERVER_ERROR`}),`, it means that an error occurred on Authlete side. The authorization server implementation should tell the end-user that something wrong happened and urge her to re-initiate a device flow.`]}),_jsx(Heading,{level:`2`,id:`user_code_not_exist`,children:`USER_CODE_NOT_EXIST`}),_jsxs(_components.p,{children:[`When the value of `,_jsx(_components.code,{children:`action`}),` is `,_jsx(_components.code,{children:`USER_CODE_NOT_EXIST`}),`, it means that the user code included in the API call does not exist. The authorization server implementation should tell the end-user that the user code has been invalidated and urge her to re-initiate a device flow.`]}),_jsx(Heading,{level:`2`,id:`user_code_expired`,children:`USER_CODE_EXPIRED`}),_jsxs(_components.p,{children:[`When the value of `,_jsx(_components.code,{children:`action`}),` is `,_jsx(_components.code,{children:`USER_CODE_EXPIRED`}),`, it means that the user code included in the API call has expired. The authorization server implementation should tell the end-user that the user code has expired and urge her to re-initiate a device flow.`]}),_jsx(Heading,{level:`2`,id:`invalid_request`,children:`INVALID_REQUEST`}),_jsxs(_components.p,{children:[`When the value of `,_jsx(_components.code,{children:`action`}),` is `,_jsx(_components.code,{children:`INVALID_REQUEST`}),`, it means that the API call is invalid. Probably, the authorization server implementation has some bugs.`]}),_jsx(Heading,{level:`2`,id:`success`,children:`SUCCESS`}),_jsxs(_components.p,{children:[`When the value of `,_jsx(_components.code,{children:`action`}),` is `,_jsx(_components.code,{children:`SUCCESS`}),`, it means that the API call has been processed successfully. The authorization server should return a successful response to the web browser the end-user is using.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Complete Device Authorization","description":"This API returns information about what action the authorization server should take after it receives the result of end-user's decision about whether the end-user has approved or rejected a client application's request.","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/device/complete","href":"/api-reference/device-flow/complete-device-authorization","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/authlete/a07b398e9c8556ba/snippets/oauth-dynamic.js"],"openApiReferenceData":{"operation":{"summary":"Complete Device Authorization","description":"This API returns information about what action the authorization server should take after it receives the result of end-user's decision about whether the end-user has approved or rejected a client application's request.","x-mint":{"metadata":{"description":"This API returns information about what action the authorization server should take after it receives the result of end-user's decision about whether the end-user has approved or rejected a client application's request."},"content":"\u003cAccordion title=\"Full description\" defaultOpen={false}>\nIn the device flow, an end-user accesses the verification endpoint of the authorization server where she interacts with the verification endpoint and inputs a user code. The verification endpoint checks if the user code is valid and then asks the end-user whether she approves or rejects the authorization request which the user code represents. After the authorization server receives the decision of the end-user, it should call Authlete's `/device/complete` API to tell Authlete the decision. When the end-user was authenticated and authorization was granted to the client by the end-user, the authorization server should call the API with `result=AUTHORIZED`. In this successful case, the subject request parameter is mandatory. The API will update the database record so that `/auth/token` API can generate an access token later. If the `scope` parameter of the device authorization request included the openid scope, an ID token is generated. In this case, `sub`, `authTime`, `acr` and `claims` request parameters in the API call to `/device/complete` affect the ID token. When the authorization server receives the decision of the end-user and it indicates that she has rejected to give authorization to the client, the authorization server should call the API with `result=ACCESS_DENIED`. In this case, the API will update the database record so that the `/auth/token` API can generate an error response later. If `errorDescription` and `errorUri` request parameters are given to the `/device/complete` API, they will be used as the values of `error_description` and `error_uri` response parameters in the error response from the token endpoint. When the authorization server could not get decision from the end-user for some reasons, the authorization server should call the API with `result=TRANSACTION_FAILED`. In this error case, the API will behave in the same way as in the case of `ACCESS_DENIED`. The only difference is that `expired_token` is used as the value of the `error` response parameter instead of `access_denied`. After receiving a response from the `/device/complete` API, the implementation of the authorization server should retrieve the value of `action` from the response and take the following steps according to the value.\n\n## SERVER_ERROR\n\nWhen the value of `action` is `SERVER_ERROR`, it means that an error occurred on Authlete side. The authorization server implementation should tell the end-user that something wrong happened and urge her to re-initiate a device flow.\n\n## USER_CODE_NOT_EXIST\n\nWhen the value of `action` is `USER_CODE_NOT_EXIST`, it means that the user code included in the API call does not exist. The authorization server implementation should tell the end-user that the user code has been invalidated and urge her to re-initiate a device flow.\n\n## USER_CODE_EXPIRED\n\nWhen the value of `action` is `USER_CODE_EXPIRED`, it means that the user code included in the API call has expired. The authorization server implementation should tell the end-user that the user code has expired and urge her to re-initiate a device flow.\n\n## INVALID_REQUEST\n\nWhen the value of `action` is `INVALID_REQUEST`, it means that the API call is invalid. Probably, the authorization server implementation has some bugs.\n\n## SUCCESS\n\nWhen the value of `action` is `SUCCESS`, it means that the API call has been processed successfully. The authorization server should return a successful response to the web browser the end-user is using.\n\u003c/Accordion>\n"},"parameters":["fd904529-90e3-4b52-85ce-5ec74421caca"],"requestBody":"65dfc9ee-7d18-4c24-8981-a7f8421da236","responses":{"200":"7f65907c-a6e4-4d23-9cdd-5814dff4e751","400":"4aa52183-958d-4d42-854d-eb912da73c02","401":"b2a199d8-bab8-423b-940c-826d552ec934","403":"dee542e2-3d02-4254-b127-16fa75b45cd4","429":"27fadbcc-f3d0-4678-ba1e-464208856ffe","500":"e717db2c-c599-4494-93c5-ef3fbf721f33"},"operationId":"device_complete_api","x-code-samples":[{"lang":"shell","label":"curl","source":"curl -v -X POST https://us.authlete.com/api/21653835348762/device/complete \\\n-H 'Content-Type: application/json' \\\n-H 'Authorization: Bearer V5a40R6dWvw2gMkCOBFdZcM95q4HC0Z-T0YKD9-nR6F' \\\n-d '{ \"userCode\": \"XWWKPBWVXQ\", \"result\": \"AUTHORIZED\", \"subject\": \"john\" }'\n"},{"lang":"java","label":"java","source":"AuthleteConfiguration conf = ...;\nAuthleteApi api = AuthleteApiFactory.create(conf);\n\nDeviceCompleteRequest req = new DeviceCompleteRequest();\nreq.setUserCode(\"XWWKPBWVXQ\");\nreq.setResult(DeviceCompleteRequest.Result.AUTHORIZED);\nreq.setSubject(\"john\");\n\napi.deviceComplete(req);\n"},{"lang":"python","source":"conf = ...\napi = AuthleteApiImpl(conf)\n\nreq = DeviceCompleteRequest()\nreq.setUserCode('XWWKPBWVXQ')\nreq.setResult(DeviceCompleteResult.AUTHORIZED)\nreq.setSubject('john')\n\napi.deviceComplete(req)\n"}],"tags":["Device Flow"],"x-speakeasy-group":"deviceFlow","x-speakeasy-name-override":"complete","x-codeSamples":[{"lang":"typescript","label":"Typescript (SDK)","source":"import { Authlete } from \"@authlete/typescript-sdk\";\n\nconst authlete = new Authlete({\n serviceId: \"\u003cid>\",\n bearer: process.env[\"AUTHLETE_BEARER\"] ?? \"\",\n});\n\nasync function run() {\n const result = await authlete.deviceFlow.complete({\n deviceCompleteRequest: {\n userCode: \"XWWKPBWVXQ\",\n result: \"AUTHORIZED\",\n subject: \"john\",\n },\n });\n\n console.log(result);\n}\n\nrun();"},{"lang":"ruby","label":"Ruby (SDK)","source":"require 'authlete_ruby_sdk'\n\nModels = ::Authlete::Models\ns = ::Authlete::Client.new(\n service_id: '\u003cid>',\n bearer: '\u003cYOUR_BEARER_TOKEN_HERE>'\n)\nres = s.device_flow.complete_request(device_complete_request: Models::Components::DeviceCompleteRequest.new(\n user_code: 'XWWKPBWVXQ',\n result: Models::Components::DeviceCompleteRequestResult::AUTHORIZED,\n subject: 'john'\n))\n\nunless res.device_complete_response.nil?\n # handle response\nend"},{"lang":"go","label":"Go (SDK)","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tauthlete \"github.com/authlete/authlete-go-sdk\"\n\t\"github.com/authlete/authlete-go-sdk/models/components\"\n\t\"github.com/authlete/authlete-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := authlete.New(\n authlete.WithServiceID(\"\u003cid>\"),\n authlete.WithSecurity(os.Getenv(\"AUTHLETE_BEARER\")),\n )\n\n res, err := s.DeviceFlow.Complete(ctx, operations.DeviceCompleteAPIRequest{\n Body: components.DeviceCompleteRequest{\n UserCode: \"XWWKPBWVXQ\",\n Result: components.DeviceCompleteRequestResultAuthorized,\n Subject: \"john\",\n },\n })\n if err != nil {\n log.Fatal(err)\n }\n if res.DeviceCompleteResponse != nil {\n // handle response\n }\n}"}],"method":"post","type":"path","servers":["86730d38-5978-49f4-83dc-79ee32a13d9f","6b1844ca-4ef4-4a3a-aa78-226ce86b6b87","428ca9ef-6a06-47df-8d21-45d932468e02","02c44588-9e42-4914-bdc7-134510ec7325"],"security":["462b635e-c1d5-42f6-b3a8-ef7d418285aa"],"path":"/api/{serviceId}/device/complete","baseUrlOptions":["https://us.authlete.com","https://jp.authlete.com","https://eu.authlete.com","https://br.authlete.com"],"title":"Complete Device Authorization","codeSamples":[{"label":"Typescript (SDK)","lang":"typescript","source":"import { Authlete } from \"@authlete/typescript-sdk\";\n\nconst authlete = new Authlete({\n serviceId: \"\u003cid>\",\n bearer: process.env[\"AUTHLETE_BEARER\"] ?? \"\",\n});\n\nasync function run() {\n const result = await authlete.deviceFlow.complete({\n deviceCompleteRequest: {\n userCode: \"XWWKPBWVXQ\",\n result: \"AUTHORIZED\",\n subject: \"john\",\n },\n });\n\n console.log(result);\n}\n\nrun();"},{"label":"Ruby (SDK)","lang":"ruby","source":"require 'authlete_ruby_sdk'\n\nModels = ::Authlete::Models\ns = ::Authlete::Client.new(\n service_id: '\u003cid>',\n bearer: '\u003cYOUR_BEARER_TOKEN_HERE>'\n)\nres = s.device_flow.complete_request(device_complete_request: Models::Components::DeviceCompleteRequest.new(\n user_code: 'XWWKPBWVXQ',\n result: Models::Components::DeviceCompleteRequestResult::AUTHORIZED,\n subject: 'john'\n))\n\nunless res.device_complete_response.nil?\n # handle response\nend"},{"label":"Go (SDK)","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tauthlete \"github.com/authlete/authlete-go-sdk\"\n\t\"github.com/authlete/authlete-go-sdk/models/components\"\n\t\"github.com/authlete/authlete-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := authlete.New(\n authlete.WithServiceID(\"\u003cid>\"),\n authlete.WithSecurity(os.Getenv(\"AUTHLETE_BEARER\")),\n )\n\n res, err := s.DeviceFlow.Complete(ctx, operations.DeviceCompleteAPIRequest{\n Body: components.DeviceCompleteRequest{\n UserCode: \"XWWKPBWVXQ\",\n Result: components.DeviceCompleteRequestResultAuthorized,\n Subject: \"john\",\n },\n })\n if err != nil {\n log.Fatal(err)\n }\n if res.DeviceCompleteResponse != nil {\n // handle response\n }\n}"}],"requestExampleLanguages":["typescript","ruby","go","bash"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"fd904529-90e3-4b52-85ce-5ec74421caca":{"in":"path","name":"serviceId","description":"A service ID.","schema":{"type":"string","isRequired":true,"description":"A service ID.","uniqueKey":"","typeLabel":"string"},"required":true}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["userCode","result","subject"],"properties":{"userCode":{"type":"string","description":"A user code.\n","isRequired":true,"uniqueKey":"userCode","typeLabel":"string"},"result":{"type":"string","enum":["TRANSACTION_FAILED","ACCESS_DENIED","AUTHORIZED"],"description":"The result of the end-user authentication and authorization. One of the following. Details are described in the description.\n","isRequired":true,"uniqueKey":"result","typeLabel":"enum\u003cstring>"},"subject":{"type":"string","description":"The subject (= unique identifier) of the end-user.\n","isRequired":true,"uniqueKey":"subject","typeLabel":"string"},"sub":{"type":"string","description":"The value of the sub claim that should be used in the ID token.\n","uniqueKey":"sub","typeLabel":"string"},"authTime":{"type":"integer","format":"int64","description":"The time at which the end-user was authenticated. Its value is the number of seconds from `1970-01-01`.\n","uniqueKey":"authTime","typeLabel":"integer\u003cint64>"},"acr":{"type":"string","description":"The reference of the authentication context class which the end-user authentication satisfied.\n","uniqueKey":"acr","typeLabel":"string"},"claims":{"type":"string","description":"Additional claims which will be embedded in the ID token.\n","uniqueKey":"claims","typeLabel":"string"},"properties":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string","description":"The key part.","uniqueKey":"properties.items.[INDEX].key","typeLabel":"string"},"value":{"type":"string","description":"The value part.","uniqueKey":"properties.items.[INDEX].value","typeLabel":"string"},"hidden":{"type":"boolean","description":"The flag to indicate whether this property hidden from or visible to client applications. If `true`, this property is hidden from client applications. Otherwise, this property is visible to client applications.\n","uniqueKey":"properties.items.[INDEX].hidden","typeLabel":"boolean"}},"uniqueKey":"properties.items.[INDEX]","typeLabel":"object"},"description":"The extra properties associated with the access token.\n","uniqueKey":"properties","typeLabel":"object[]"},"scopes":{"type":"array","items":{"type":"string","uniqueKey":"scopes.items.[INDEX]","typeLabel":"string"},"description":"Scopes to replace the scopes specified in the original device authorization request with. When nothing is specified for this parameter, replacement is not performed.\n","uniqueKey":"scopes","typeLabel":"string[]"},"errorDescription":{"type":"string","description":"The description of the error. If this optional request parameter is given, its value is used as the value of the `error_description` property, but it is used only when the result is not `AUTHORIZED`. To comply with the specification strictly, the description must not include characters outside the set `%x20-21 / %x23-5B / %x5D-7E`.\n","uniqueKey":"errorDescription","typeLabel":"string"},"errorUri":{"type":"string","description":"The URI of a document which describes the error in detail. This corresponds to the `error_uri` property in the response to the client.\n","uniqueKey":"errorUri","typeLabel":"string"},"idtHeaderParams":{"type":"string","description":"JSON that represents additional JWS header parameters for ID tokens.\n","uniqueKey":"idtHeaderParams","typeLabel":"string"},"consentedClaims":{"type":"array","items":{"type":"string","uniqueKey":"consentedClaims.items.[INDEX]","typeLabel":"string"},"description":"the claims that the user has consented for the client application to know.\n","uniqueKey":"consentedClaims","typeLabel":"string[]"},"jwtAtClaims":{"type":"string","description":"Additional claims that are added to the payload part of the JWT access token.\n","uniqueKey":"jwtAtClaims","typeLabel":"string"},"accessTokenDuration":{"type":"integer","format":"int64","description":"The duration (in seconds) of the access token that may be issued as a result of the Authlete API call.\n\nWhen this request parameter holds a positive integer, it is used as the duration of the access token in. In other cases, this request parameter is ignored.\n","uniqueKey":"accessTokenDuration","typeLabel":"integer\u003cint64>"},"refreshTokenDuration":{"type":"integer","format":"int64","description":"The duration (in seconds) of the refresh token that may be issued as a result of the Authlete API call.\n\nWhen this request parameter holds a positive integer, it is used as the duration of the refresh token in. In other cases, this request parameter is ignored.\n","uniqueKey":"refreshTokenDuration","typeLabel":"integer\u003cint64>"},"idTokenAudType":{"type":"string","description":"The type of the `aud` claim of the ID token being issued. Valid values are as follows.\n\n| Value | Description |\n| ----- | ----------- |\n| \"array\" | The type of the aud claim is always an array of strings. |\n| \"string\" | The type of the aud claim is always a single string. |\n| null | The type of the aud claim remains the same as before. |\n\nThis request parameter takes precedence over the `idTokenAudType` property of the service.\n","uniqueKey":"idTokenAudType","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"userCode":"XWWKPBWVXQ","result":"AUTHORIZED","subject":"john"},"examples":{"Example":{"title":"Example","value":{"userCode":"XWWKPBWVXQ","result":"AUTHORIZED","subject":"john"}}},"exampleType":"examples"},"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["userCode","result","subject"],"properties":{"userCode":{"type":"string","description":"A user code.\n","isRequired":true,"uniqueKey":"userCode","typeLabel":"string"},"result":{"type":"string","enum":["TRANSACTION_FAILED","ACCESS_DENIED","AUTHORIZED"],"description":"The result of the end-user authentication and authorization. One of the following. Details are described in the description.\n","isRequired":true,"uniqueKey":"result","typeLabel":"enum\u003cstring>"},"subject":{"type":"string","description":"The subject (= unique identifier) of the end-user.\n","isRequired":true,"uniqueKey":"subject","typeLabel":"string"},"sub":{"type":"string","description":"The value of the sub claim that should be used in the ID token.\n","uniqueKey":"sub","typeLabel":"string"},"authTime":{"type":"integer","format":"int64","description":"The time at which the end-user was authenticated. Its value is the number of seconds from `1970-01-01`.\n","uniqueKey":"authTime","typeLabel":"integer\u003cint64>"},"acr":{"type":"string","description":"The reference of the authentication context class which the end-user authentication satisfied.\n","uniqueKey":"acr","typeLabel":"string"},"claims":{"type":"string","description":"Additional claims which will be embedded in the ID token.\n","uniqueKey":"claims","typeLabel":"string"},"properties":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string","description":"The key part.","uniqueKey":"properties.items.[INDEX].key","typeLabel":"string"},"value":{"type":"string","description":"The value part.","uniqueKey":"properties.items.[INDEX].value","typeLabel":"string"},"hidden":{"type":"boolean","description":"The flag to indicate whether this property hidden from or visible to client applications. If `true`, this property is hidden from client applications. Otherwise, this property is visible to client applications.\n","uniqueKey":"properties.items.[INDEX].hidden","typeLabel":"boolean"}},"uniqueKey":"properties.items.[INDEX]","typeLabel":"object"},"description":"The extra properties associated with the access token.\n","uniqueKey":"properties","typeLabel":"object[]"},"scopes":{"type":"array","items":{"type":"string","uniqueKey":"scopes.items.[INDEX]","typeLabel":"string"},"description":"Scopes to replace the scopes specified in the original device authorization request with. When nothing is specified for this parameter, replacement is not performed.\n","uniqueKey":"scopes","typeLabel":"string[]"},"errorDescription":{"type":"string","description":"The description of the error. If this optional request parameter is given, its value is used as the value of the `error_description` property, but it is used only when the result is not `AUTHORIZED`. To comply with the specification strictly, the description must not include characters outside the set `%x20-21 / %x23-5B / %x5D-7E`.\n","uniqueKey":"errorDescription","typeLabel":"string"},"errorUri":{"type":"string","description":"The URI of a document which describes the error in detail. This corresponds to the `error_uri` property in the response to the client.\n","uniqueKey":"errorUri","typeLabel":"string"},"idtHeaderParams":{"type":"string","description":"JSON that represents additional JWS header parameters for ID tokens.\n","uniqueKey":"idtHeaderParams","typeLabel":"string"},"consentedClaims":{"type":"array","items":{"type":"string","uniqueKey":"consentedClaims.items.[INDEX]","typeLabel":"string"},"description":"the claims that the user has consented for the client application to know.\n","uniqueKey":"consentedClaims","typeLabel":"string[]"},"jwtAtClaims":{"type":"string","description":"Additional claims that are added to the payload part of the JWT access token.\n","uniqueKey":"jwtAtClaims","typeLabel":"string"},"accessTokenDuration":{"type":"integer","format":"int64","description":"The duration (in seconds) of the access token that may be issued as a result of the Authlete API call.\n\nWhen this request parameter holds a positive integer, it is used as the duration of the access token in. In other cases, this request parameter is ignored.\n","uniqueKey":"accessTokenDuration","typeLabel":"integer\u003cint64>"},"refreshTokenDuration":{"type":"integer","format":"int64","description":"The duration (in seconds) of the refresh token that may be issued as a result of the Authlete API call.\n\nWhen this request parameter holds a positive integer, it is used as the duration of the refresh token in. In other cases, this request parameter is ignored.\n","uniqueKey":"refreshTokenDuration","typeLabel":"integer\u003cint64>"},"idTokenAudType":{"type":"string","description":"The type of the `aud` claim of the ID token being issued. Valid values are as follows.\n\n| Value | Description |\n| ----- | ----------- |\n| \"array\" | The type of the aud claim is always an array of strings. |\n| \"string\" | The type of the aud claim is always a single string. |\n| null | The type of the aud claim remains the same as before. |\n\nThis request parameter takes precedence over the `idTokenAudType` property of the service.\n","uniqueKey":"idTokenAudType","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"userCode":"\u003cstring>","subject":"\u003cstring>","sub":"\u003cstring>","authTime":123,"acr":"\u003cstring>","claims":"\u003cstring>","properties":[{"key":"\u003cstring>","value":"\u003cstring>","hidden":true}],"scopes":["\u003cstring>"],"errorDescription":"\u003cstring>","errorUri":"\u003cstring>","idtHeaderParams":"\u003cstring>","consentedClaims":["\u003cstring>"],"jwtAtClaims":"\u003cstring>","accessTokenDuration":123,"refreshTokenDuration":123,"idTokenAudType":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"examples"},"responses":{"7f65907c-a6e4-4d23-9cdd-5814dff4e751":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"resultCode":{"type":"string","description":"The code which represents the result of the API call.","uniqueKey":"resultCode","typeLabel":"string"},"resultMessage":{"type":"string","description":"A short message which explains the result of the API call.","uniqueKey":"resultMessage","typeLabel":"string"},"action":{"type":"string","enum":["SERVER_ERROR","USER_CODE_NOT_EXIST","USER_CODE_EXPIRED","INVALID_REQUEST","SUCCESS"],"description":"The next action that the authorization server implementation should take.\n","uniqueKey":"action","typeLabel":"enum\u003cstring>"},"consentedClaims":{"type":"array","items":{"type":"string","uniqueKey":"consentedClaims.items.[INDEX]","typeLabel":"string"},"description":"the claims that the user has consented for the client application to know.\n","uniqueKey":"consentedClaims","typeLabel":"string[]"}},"uniqueKey":"","typeLabel":"object"},"example":{"resultCode":"A241001","resultMessage":"[A241001] The API call was processed successfully.","action":"SUCCESS"},"examples":{"Example":{"title":"Example","value":{"resultCode":"A241001","resultMessage":"[A241001] The API call was processed successfully.","action":"SUCCESS"}}},"exampleType":"examples"}},"exampleType":"examples"},"4aa52183-958d-4d42-854d-eb912da73c02":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"resultCode":{"type":"string","description":"The code which represents the result of the API call.","uniqueKey":"resultCode","typeLabel":"string"},"resultMessage":{"type":"string","description":"A short message which explains the result of the API call.","uniqueKey":"resultMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"resultCode":"A001201","resultMessage":"[A001201] /auth/authorization, TLS must be used."},"examples":{"Example":{"title":"Example","value":{"resultCode":"A001201","resultMessage":"[A001201] /auth/authorization, TLS must be used."}}},"exampleType":"examples"}},"exampleType":"examples"},"b2a199d8-bab8-423b-940c-826d552ec934":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"resultCode":{"type":"string","description":"The code which represents the result of the API call.","uniqueKey":"resultCode","typeLabel":"string"},"resultMessage":{"type":"string","description":"A short message which explains the result of the API call.","uniqueKey":"resultMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"resultCode":"A001202","resultMessage":"[A001202] /auth/authorization, Authorization header is missing."},"examples":{"Example":{"title":"Example","value":{"resultCode":"A001202","resultMessage":"[A001202] /auth/authorization, Authorization header is missing."}}},"exampleType":"examples"}},"exampleType":"examples"},"dee542e2-3d02-4254-b127-16fa75b45cd4":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"resultCode":{"type":"string","description":"The code which represents the result of the API call.","uniqueKey":"resultCode","typeLabel":"string"},"resultMessage":{"type":"string","description":"A short message which explains the result of the API call.","uniqueKey":"resultMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"resultCode":"A001215","resultMessage":"[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."},"examples":{"Example":{"title":"Example","value":{"resultCode":"A001215","resultMessage":"[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."}}},"exampleType":"examples"}},"exampleType":"examples"},"27fadbcc-f3d0-4678-ba1e-464208856ffe":{"description":"The request exceeded the request rate permitted for the endpoint.","headers":{"Retry-After":{"description":"The number of seconds to wait before retrying the request.","schema":{"type":"integer","example":1}},"RateLimit-Remaining":{"description":"The number of requests remaining in the next second.","schema":{"type":"integer","example":10}},"RateLimit-Reset":{"description":"The number of seconds to wait before the request rate is fully replenished.","schema":{"type":"integer","example":1}}},"content":{"application/json":{"schema":{"type":"object","properties":{"resultCode":{"type":"string","description":"The code which represents the result of the API call.","uniqueKey":"resultCode","typeLabel":"string"},"resultMessage":{"type":"string","description":"A short message which explains the result of the API call.","uniqueKey":"resultMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"resultCode":"A001311","resultMessage":"[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"},"examples":{"Example":{"title":"Example","value":{"resultCode":"A001311","resultMessage":"[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"}}},"exampleType":"examples"}},"exampleType":"examples"},"e717db2c-c599-4494-93c5-ef3fbf721f33":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"resultCode":{"type":"string","description":"The code which represents the result of the API call.","uniqueKey":"resultCode","typeLabel":"string"},"resultMessage":{"type":"string","description":"A short message which explains the result of the API call.","uniqueKey":"resultMessage","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"resultCode":"A001101","resultMessage":"[A001101] /auth/authorization, Authlete Server error."},"examples":{"Example":{"title":"Example","value":{"resultCode":"A001101","resultMessage":"[A001101] /auth/authorization, Authlete Server error."}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"462b635e-c1d5-42f6-b3a8-ef7d418285aa":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Authenticate every request with a **Service Access Token** or **Organization Token**. Set the token value in the `Authorization: Bearer \u003ctoken>` header.\n\n**Service Access Token**: Scoped to a single service. Use when automating service-level configuration or runtime flows.\n\n**Organization Token**: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.\n\nBoth token types are issued by the Authlete console or provisioning APIs.\n","scopes":[],"schemeName":"bearer"}}},"servers":{"86730d38-5978-49f4-83dc-79ee32a13d9f":{"description":"🇺🇸 US Cluster","url":"https://us.authlete.com"},"6b1844ca-4ef4-4a3a-aa78-226ce86b6b87":{"description":"🇯🇵 Japan Cluster","url":"https://jp.authlete.com"},"428ca9ef-6a06-47df-8d21-45d932468e02":{"description":"🇪🇺 Europe Cluster","url":"https://eu.authlete.com"},"02c44588-9e42-4914-bdc7-134510ec7325":{"description":"🇧🇷 Brazil Cluster","url":"https://br.authlete.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Authenticate every request with a **Service Access Token** or **Organization Token**. Set the token value in the `Authorization: Bearer \u003ctoken>` header.\n\n**Service Access Token**: Scoped to a single service. Use when automating service-level configuration or runtime flows.\n\n**Organization Token**: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.\n\nBoth token types are issued by the Authlete console or provisioning APIs.\n","scopes":[],"schemeName":"bearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Authenticate every request with a **Service Access Token** or **Organization Token**. Set the token value in the `Authorization: Bearer \u003ctoken>` header.\n\n**Service Access Token**: Scoped to a single service. Use when automating service-level configuration or runtime flows.\n\n**Organization Token**: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.\n\nBoth token types are issued by the Authlete console or provisioning APIs.\n","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples"},"subdomain":"authlete","siteName":"Authlete Documentation","title":"Complete Device Authorization - Authlete Documentation","navMaps":{"firstHrefInVersion":{"3.x":{"href":"/api-reference/device-flow/complete-device-authorization","matchLevel":0},"2.x":{"href":"/get-started/introduction-to-authlete/index","matchLevel":4}},"firstHrefInLanguage":{"en":{"href":"/api-reference/device-flow/complete-device-authorization","matchLevel":0},"ja":{"href":"/api-reference/device-flow/complete-device-authorization","matchLevel":0}}},"lastModified":"2026-10-21T07:38:51.909Z","originalFileLocation":"api-reference/device-flow/complete-device-authorization.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This API returns information about what action the authorization server should take after it receives the result of end-user\u0026#x27;s decision about whether the end-user has approved or rejected a client application\u0026#x27;s request.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Authlete Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Complete Device Authorization - Authlete Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"This API returns information about what action the authorization server should take after it receives the result of end-user\u0026#x27;s decision about whether the end-user has approved or rejected a client application\u0026#x27;s request.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Authlete Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://authlete.mintlify.app/_mintlify/api/og/v2?division=Device+Flow\u0026amp;title=Complete+Device+Authorization\u0026amp;description=This+API+returns+information+about+what+action+the+authorization+server+should+take+after+it+receives+the+result+of+end-user%27s+decision+about+whether+the+end-us\u0026amp;theme=9a33e57959880538f1449aa0\u0026amp;signature=7238aad26b876f201f7f6a2a702da0f950c69a80a59873974e09bd0e1c254e5a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Complete Device Authorization - Authlete Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This API returns information about what action the authorization server should take after it receives the result of end-user\u0026#x27;s decision about whether the end-user has approved or rejected a client application\u0026#x27;s request.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://authlete.mintlify.app/_mintlify/api/og/v2?division=Device+Flow\u0026amp;title=Complete+Device+Authorization\u0026amp;description=This+API+returns+information+about+what+action+the+authorization+server+should+take+after+it+receives+the+result+of+end-user%27s+decision+about+whether+the+end-us\u0026amp;theme=9a33e57959880538f1449aa0\u0026amp;signature=7238aad26b876f201f7f6a2a702da0f950c69a80a59873974e09bd0e1c254e5a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/authlete/aQ4BxffFlrUzvna2/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Authlete Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0057B7\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/device-flow/complete-device-authorization.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.authlete.com/#organization\",\"name\":\"Authlete Documentation\",\"url\":\"https://developers.authlete.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/authlete/EJDZNZMvOu_9CJHJ/authlete-blue-horizontal-logo.svg?fit=max\u0026auto=format\u0026n=EJDZNZMvOu_9CJHJ\u0026q=85\u0026s=ed123a3de8b7791dffde03e7705c7460\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.authlete.com#website\",\"name\":\"Authlete Documentation\",\"url\":\"https://developers.authlete.com\",\"publisher\":{\"@id\":\"https://developers.authlete.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization#webpage\",\"url\":\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization\",\"name\":\"Complete Device Authorization\",\"description\":\"This API returns information about what action the authorization server should take after it receives the result of end-user's decision about whether the end-user has approved or rejected a client application's request.\",\"dateModified\":\"2026-10-21T07:38:51.909Z\",\"isPartOf\":{\"@id\":\"https://developers.authlete.com#website\"},\"breadcrumb\":{\"@id\":\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Authlete\",\"item\":\"https://developers.authlete.com/api-reference/service-management/get-service\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Device Flow\",\"item\":\"https://developers.authlete.com/api-reference/device-flow/process-device-authorization-request\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Complete Device Authorization\",\"item\":\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization#apireference\",\"headline\":\"Complete Device Authorization\",\"name\":\"Complete Device Authorization\",\"description\":\"This API returns information about what action the authorization server should take after it receives the result of end-user's decision about whether the end-user has approved or rejected a client application's request.\",\"url\":\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization\",\"mainEntityOfPage\":{\"@id\":\"https://developers.authlete.com/api-reference/device-flow/complete-device-authorization#webpage\"},\"dateModified\":\"2026-10-21T07:38:51.909Z\",\"publisher\":{\"@id\":\"https://developers.authlete.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.authlete.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Authlete Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Authlete Documentation","nav":{"global":null,"languages":[{"language":"en","default":true,"versions":[{"version":"3.x","default":true,"tabs":[{"tab":"Get Started","pages":[{"title":"Get Started","href":"/get-started/introduction-to-authlete/overview"}]},{"tab":"API Reference","groups":[{"group":"Authlete","expanded":true,"pages":[{"group":"Service Management","pages":[{"title":"Get Service","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/service/get","href":"/api-reference/service-management/get-service"},{"title":"List Services","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/service/get/list","href":"/api-reference/service-management/list-services"},{"title":"Update Service","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/service/update","href":"/api-reference/service-management/update-service"},{"title":"Create Service (IDP)","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/service","href":"/api-reference/service-management/create-service-idp"},{"title":"Remove Service (IDP) ⚡","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/service/remove","href":"/api-reference/service-management/remove-service-idp-⚡"},{"title":"Get Service Configuration","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/service/configuration","href":"/api-reference/service-management/get-service-configuration"}]},{"group":"Audit Logs","pages":[{"title":"Get Audit Logs","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/audit/entries","href":"/api-reference/audit-logs/get-audit-logs"},{"title":"Get Audit Log Event Types","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/audit/types","href":"/api-reference/audit-logs/get-audit-log-event-types"}]},{"group":"Client Management","pages":[{"title":"Get Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/get/{clientId}","href":"/api-reference/client-management/get-client"},{"title":"List Clients","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/get/list","href":"/api-reference/client-management/list-clients"},{"title":"Create Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/create","href":"/api-reference/client-management/create-client"},{"title":"Update Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/update/{clientId}","href":"/api-reference/client-management/update-client"},{"title":"Delete Client ⚡","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/client/delete/{clientId}","href":"/api-reference/client-management/delete-client-⚡"},{"title":"Update Client Lock","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/lock_flag/update/{clientIdentifier}","href":"/api-reference/client-management/update-client-lock"},{"title":"Rotate Client Secret","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/secret/refresh/{clientIdentifier}","href":"/api-reference/client-management/rotate-client-secret"},{"title":"Update Client Secret","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/secret/update/{clientIdentifier}","href":"/api-reference/client-management/update-client-secret"},{"title":"Get Authorized Applications","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/authorization/get/list","href":"/api-reference/client-management/get-authorized-applications"},{"title":"Get Authorized Applications","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/authorization/get/list","href":"/api-reference/client-management/get-authorized-applications-1"},{"title":"Get Authorized Applications (by Subject)","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/authorization/get/list/{subject}","href":"/api-reference/client-management/get-authorized-applications-by-subject"},{"title":"Update Client Tokens","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/authorization/update/{clientId}","href":"/api-reference/client-management/update-client-tokens"},{"title":"Delete Client Tokens","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/authorization/delete/{clientId}","href":"/api-reference/client-management/delete-client-tokens"},{"title":"Delete Client Tokens","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/client/authorization/delete/{clientId}","href":"/api-reference/client-management/delete-client-tokens-1"},{"title":"Delete Client Tokens (by Subject)","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/client/authorization/delete/{clientId}/{subject}","href":"/api-reference/client-management/delete-client-tokens-by-subject"},{"title":"Get Granted Scopes","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/granted_scopes/get/{clientId}","href":"/api-reference/client-management/get-granted-scopes"},{"title":"Get Granted Scopes","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/granted_scopes/get/{clientId}","href":"/api-reference/client-management/get-granted-scopes-1"},{"title":"Get Granted Scopes (by Subject)","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/granted_scopes/get/{clientId}/{subject}","href":"/api-reference/client-management/get-granted-scopes-by-subject"},{"title":"Delete Granted Scopes","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/client/granted_scopes/delete/{clientId}","href":"/api-reference/client-management/delete-granted-scopes"},{"title":"Delete Granted Scopes (by Subject)","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/client/granted_scopes/delete/{clientId}/{subject}","href":"/api-reference/client-management/delete-granted-scopes-by-subject"},{"title":"List Clients (Cursor Pagination)","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client","href":"/api-reference/client-management/list-clients-cursor-pagination"},{"title":"Search Clients","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/search","href":"/api-reference/client-management/search-clients"},{"title":"Get Requestable Scopes","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/extension/requestable_scopes/get/{clientId}","href":"/api-reference/client-management/get-requestable-scopes"},{"title":"Update Requestable Scopes","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples put /api/{serviceId}/client/extension/requestable_scopes/update/{clientId}","href":"/api-reference/client-management/update-requestable-scopes"},{"title":"Update Requestable Scopes","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/extension/requestable_scopes/update/{clientId}","href":"/api-reference/client-management/update-requestable-scopes-1"},{"title":"Delete Requestable Scopes","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/client/extension/requestable_scopes/delete/{clientId}","href":"/api-reference/client-management/delete-requestable-scopes"}]},{"group":"Authorization Endpoint","pages":[{"title":"Process Authorization Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/authorization","href":"/api-reference/authorization-endpoint/process-authorization-request"},{"title":"Fail Authorization Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/authorization/fail","href":"/api-reference/authorization-endpoint/fail-authorization-request"},{"title":"Issue Authorization Response","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/authorization/issue","href":"/api-reference/authorization-endpoint/issue-authorization-response"},{"title":"Get Ticket Information","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/authorization/ticket/info","href":"/api-reference/authorization-endpoint/get-ticket-information"},{"title":"Update Ticket Information","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/authorization/ticket/update","href":"/api-reference/authorization-endpoint/update-ticket-information"}]},{"group":"Pushed Authorization Endpoint","pages":[{"title":"Process Pushed Authorization Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/pushed_auth_req","href":"/api-reference/pushed-authorization-endpoint/process-pushed-authorization-request"}]},{"group":"Token Endpoint","pages":[{"title":"Process Token Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/token","href":"/api-reference/token-endpoint/process-token-request"},{"title":"Fail Token Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/token/fail","href":"/api-reference/token-endpoint/fail-token-request"},{"title":"Issue Token Response","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/token/issue","href":"/api-reference/token-endpoint/issue-token-response"},{"title":"Reissue ID Token","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/idtoken/reissue","href":"/api-reference/token-endpoint/reissue-id-token"}]},{"group":"Introspection Endpoint","pages":[{"title":"Process Introspection Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/introspection","href":"/api-reference/introspection-endpoint/process-introspection-request"},{"title":"Process OAuth 2.0 Introspection Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/introspection/standard","href":"/api-reference/introspection-endpoint/process-oauth-20-introspection-request"}]},{"group":"Revocation Endpoint","pages":[{"title":"Process Revocation Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/revocation","href":"/api-reference/revocation-endpoint/process-revocation-request"}]},{"group":"UserInfo Endpoint","pages":[{"title":"Process UserInfo Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/userinfo","href":"/api-reference/userinfo-endpoint/process-userinfo-request"},{"title":"Issue UserInfo Response","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/userinfo/issue","href":"/api-reference/userinfo-endpoint/issue-userinfo-response"}]},{"group":"Grant Management Endpoint","pages":[{"title":"Process Grant Management Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/gm","href":"/api-reference/grant-management-endpoint/process-grant-management-request"}]},{"group":"Dynamic Client Registration","pages":[{"title":"Register Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/registration","href":"/api-reference/dynamic-client-registration/register-client"},{"title":"Get Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/registration/get","href":"/api-reference/dynamic-client-registration/get-client"},{"title":"Update Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/registration/update","href":"/api-reference/dynamic-client-registration/update-client"},{"title":"Delete Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/registration/delete","href":"/api-reference/dynamic-client-registration/delete-client"}]},{"group":"CIBA","pages":[{"title":"Process Backchannel Authentication Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/backchannel/authentication","href":"/api-reference/ciba/process-backchannel-authentication-request"},{"title":"Issue Backchannel Authentication Response","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/backchannel/authentication/issue","href":"/api-reference/ciba/issue-backchannel-authentication-response"},{"title":"Fail Backchannel Authentication Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/backchannel/authentication/fail","href":"/api-reference/ciba/fail-backchannel-authentication-request"},{"title":"Complete Backchannel Authentication","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/backchannel/authentication/complete","href":"/api-reference/ciba/complete-backchannel-authentication"}]},{"group":"Back-Channel Logout","pages":[{"title":"Backchannel Logout Token Issuing","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/backchannel/logout/token","href":"/api-reference/back-channel-logout/backchannel-logout-token-issuing"}]},{"group":"Device Flow","pages":[{"title":"Process Device Authorization Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/device/authorization","href":"/api-reference/device-flow/process-device-authorization-request"},{"title":"Process Device Verification Request","description":"The API returns information associated with a user code.","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/device/verification","href":"/api-reference/device-flow/process-device-verification-request"},{"title":"Complete Device Authorization","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/device/complete","href":"/api-reference/device-flow/complete-device-authorization"}]},{"group":"Token Operations","pages":[{"title":"List Issued Tokens","description":"Get the list of access tokens that are associated with the service.\n","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/auth/token/get/list","href":"/api-reference/token-operations/list-issued-tokens"},{"title":"Create Access Token","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/token/create","href":"/api-reference/token-operations/create-access-token"},{"title":"Update Access Token","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/token/update","href":"/api-reference/token-operations/update-access-token"},{"title":"Delete Access Token","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/auth/token/delete/{accessTokenIdentifier}","href":"/api-reference/token-operations/delete-access-token"},{"title":"Revoke Access Token","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/auth/token/revoke","href":"/api-reference/token-operations/revoke-access-token"}]},{"group":"Federation Endpoint","pages":[{"title":"Process Entity Configuration Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/federation/configuration","href":"/api-reference/federation-endpoint/process-entity-configuration-request"},{"title":"Process Federation Registration Request","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/federation/registration","href":"/api-reference/federation-endpoint/process-federation-registration-request"}]},{"group":"Hardware Security Key","pages":[{"title":"Create Security Key","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/hsk/create","href":"/api-reference/hardware-security-key/create-security-key"},{"title":"Delete Security Key","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/hsk/delete/{handle}","href":"/api-reference/hardware-security-key/delete-security-key"},{"title":"Get Security Key","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/hsk/get/{handle}","href":"/api-reference/hardware-security-key/get-security-key"},{"title":"List Security Keys","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/hsk/get/list","href":"/api-reference/hardware-security-key/list-security-keys"}]},{"group":"Verifiable Credential Issuer","pages":[{"title":"Get Verifiable Credential Issuer Metadata","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/metadata","href":"/api-reference/verifiable-credential-issuer/get-verifiable-credential-issuer-metadata"},{"title":"Get JWT Issuer Information","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/jwtissuer","href":"/api-reference/verifiable-credential-issuer/get-jwt-issuer-information"},{"title":"Get JSON Web Key Set","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/jwks","href":"/api-reference/verifiable-credential-issuer/get-json-web-key-set"},{"title":"Create Credential Offer","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/offer/create","href":"/api-reference/verifiable-credential-issuer/create-credential-offer"},{"title":"Get Credential Offer Information","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/offer/info","href":"/api-reference/verifiable-credential-issuer/get-credential-offer-information"},{"title":"Parse Single Credential","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/single/parse","href":"/api-reference/verifiable-credential-issuer/parse-single-credential"},{"title":"Issue Single Credential","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/single/issue","href":"/api-reference/verifiable-credential-issuer/issue-single-credential"},{"title":"Parse Batch Credentials","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/batch/parse","href":"/api-reference/verifiable-credential-issuer/parse-batch-credentials"},{"title":"Issue Batch Credentials","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/batch/issue","href":"/api-reference/verifiable-credential-issuer/issue-batch-credentials"},{"title":"Parse Deferred Credential","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/deferred/parse","href":"/api-reference/verifiable-credential-issuer/parse-deferred-credential"},{"title":"Issue Deferred Credential","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/vci/deferred/issue","href":"/api-reference/verifiable-credential-issuer/issue-deferred-credential"}]},{"group":"Lifecycle","pages":[{"title":"Health Check","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/lifecycle/healthcheck","href":"/api-reference/lifecycle/health-check"}]},{"group":"Native SSO","pages":[{"title":"Native SSO Processing","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/nativesso","href":"/api-reference/native-sso/native-sso-processing"},{"title":"Native SSO Logout Processing","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/nativesso/logout","href":"/api-reference/native-sso/native-sso-logout-processing"}]}]}]},{"tab":"Protocols \u0026 Flows","pages":[{"title":"Protocols \u0026 Flows","href":"/protocols-and-flows/basic-oauth-oidc-flows/oauth-2-0-and-openid-connect-authorization-endpoints"}]},{"tab":"Configuration Reference","pages":[{"title":"Configuration Reference","href":"/configuration-reference/endpoints/handling-request-parameters"}]},{"tab":"Deployment \u0026 Operations","pages":[{"title":"Deployment \u0026 Operations","href":"/deployment-and-operations/terraform/introduction"}]},{"tab":"Release Notes","pages":[{"title":"Release Notes","href":"/release-notes/console/2026-09"}]}]},{"version":"2.x","default":false,"pages":[{"title":"2.x","href":"/get-started/introduction-to-authlete"}]}]},{"language":"ja","versions":[{"version":"3.x","default":true,"tabs":[{"tab":"はじめに","pages":[{"title":"はじめに","href":"/ja/get-started/introduction-to-authlete/overview"}]},{"tab":"API リファレンス","groups":[{"group":"Authlete","expanded":true,"pages":[{"group":"Service Management","pages":[{"title":"Get Service","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/service/get","href":"/api-reference/service-management/get-service"},{"title":"List Services","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/service/get/list","href":"/api-reference/service-management/list-services"},{"title":"Update Service","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/service/update","href":"/api-reference/service-management/update-service"},{"title":"Create Service (IDP)","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/service","href":"/api-reference/service-management/create-service-idp"},{"title":"Remove Service (IDP) ⚡","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/service/remove","href":"/api-reference/service-management/remove-service-idp-⚡"},{"title":"Get Service Configuration","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/service/configuration","href":"/api-reference/service-management/get-service-configuration"}]},{"group":"Audit Logs","pages":[{"title":"Get Audit Logs","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/audit/entries","href":"/api-reference/audit-logs/get-audit-logs"},{"title":"Get Audit Log Event Types","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/audit/types","href":"/api-reference/audit-logs/get-audit-log-event-types"}]},{"group":"Client Management","pages":[{"title":"Get Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/get/{clientId}","href":"/api-reference/client-management/get-client"},{"title":"List Clients","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/get/list","href":"/api-reference/client-management/list-clients"},{"title":"Create Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/create","href":"/api-reference/client-management/create-client"},{"title":"Update Client","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/update/{clientId}","href":"/api-reference/client-management/update-client"},{"title":"Delete Client ⚡","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples delete /api/{serviceId}/client/delete/{clientId}","href":"/api-reference/client-management/delete-client-⚡"},{"title":"Update Client Lock","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/lock_flag/update/{clientIdentifier}","href":"/api-reference/client-management/update-client-lock"},{"title":"Rotate Client Secret","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/secret/refresh/{clientIdentifier}","href":"/api-reference/client-management/rotate-client-secret"},{"title":"Update Client Secret","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/secret/update/{clientIdentifier}","href":"/api-reference/client-management/update-client-secret"},{"title":"Get Authorized Applications","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/authorization/get/list","href":"/api-reference/client-management/get-authorized-applications"},{"title":"Get Authorized Applications","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples post /api/{serviceId}/client/authorization/get/list","href":"/api-reference/client-management/get-authorized-applications-1"},{"title":"Get Authorized Applications (by Subject)","deprecated":null,"version":null,"openapi":"https://spec.speakeasy.com/authlete/sdk-workspace/authlete-api-explorer-with-code-samples get /api/{serviceId}/client/authorization/get/list/{subject}","href":"/api-reference/client-management/get-authorized-applications-by-subject"},{"title":"Update Client Tokens","deprecated":null,"versi
[...]
